#include <stdio.h>
#include <math.h>
#include "c_n.h"
#include "c_7.h"

Cc_7::Cc_7(int *J,int N, double spin,int *neqp,int nneqp,int NNmax,int *AnzahlNN,int *NN,FILE *fp)
{
    Init(J,N,spin,neqp,nneqp,NNmax,AnzahlNN,NN,fp);
}

Cc_7::Cc_7()
{
    Init(0,0,0,0,0,0,0,0,0);
}

void Cc_7::berechnen(int write)
{
    double r=spin*(spin+1.0);
    for(int j=0;j<MAXORDER4;Ji[j]=0,j++);
    if(write==0)fprintf(fp,"\n7th order\n");
    berechneGraph(93,-1.0/194400.0*r*r*(138.0-444.0*r+163.0*r*r+296.0*r*r*r+160.0*r*r*r*r),write);
    berechneGraph(94,1.0/340200.0*r*r*r*(192.0-522.0*r-67.0*r*r+240.0*r*r*r+160.0*r*r*r*r),write);
    berechneGraph(95,-1.0/64800.0*r*r*r*(-79.0+164.0*r+64.0*r*r),write);
    berechneGraph(96,1.0/29160.0*r*r*r*r*(-9.0+12.0*r+8.0*r*r),write);
    berechneGraph(97,1.0/340200.0*r*r*r*(393.0-1413.0*r-13.0*r*r+1200.0*r*r*r+800.0*r*r*r*r),write);
    berechneGraph(98,1.0/4860.0*r*r*r*r*(-1.0+3.0*r+2.0*r*r),write);
    berechneGraph(99,1.0/291600.0*r*r*r*(321.0-615.0*r-48.0*r*r+320.0*r*r*r+96.0*r*r*r*r),write);
    berechneGraph(100,1.0/29160.0*r*r*r*r*(-30.0+27.0*r+16.0*r*r),write);
    berechneGraph(101,1.0/291600.0*r*r*r*(45.0-621.0*r+408.0*r*r+1264.0*r*r*r+288.0*r*r*r*r),write);
    berechneGraph(103,1.0/14580.0*r*r*r*r*(-12.0+39.0*r+28.0*r*r),write);
    berechneGraph(104,1.0/29160.0*r*r*r*r*(-18.0+27.0*r+20.0*r*r),write);
    berechneGraph(107,1.0/4860.0*r*r*r*r*(-13.0+2.0*r),write);
    berechneGraph(108,1.0/1458.0*r*r*r*r*r,write);
    berechneGraph(109,1.0/4860.0*r*r*r*r*r*(3.0+4.0*r),write);
    berechneGraph(110,1.0/32400.0*r*r*r*(12.0-99.0*r+40.0*r*r+152.0*r*r*r),write);
    berechneGraph(111,1.0/19440.0*r*r*r*r*(-23.0+52.0*r+40.0*r*r),write);
    berechneGraph(113,1.0/2916.0*r*r*r*r*r,write);
    berechneGraph(114,-1.0/145800.0*r*r*r*r*(18.0-207.0*r+36.0*r*r+304.0*r*r*r),write);
    berechneGraph(115,1.0/19440.0*r*r*r*r*(-25.0+128.0*r+112.0*r*r),write);
    berechneGraph(116,-1.0/14580.0*r*r*r*r*r*(-5.0+24.0*r+24.0*r*r),write);
    berechneGraph(118,1.0/14580.0*r*r*r*r*(-6.0+3.0*r+2.0*r*r),write);
    berechneGraph(119,1.0/5832.0*r*r*r*r*r,write);
    berechneGraph(120,-41.0/38880.0*r*r*r*r,write);
    berechneGraph(122,1.0/3645.0*r*r*r*r*r,write);
    berechneGraph(124,13.0/14580.0*r*r*r*r*r,write);
    berechneGraph(128,1.0/291600.0*r*r*r*r*(3.0+768.0*r-144.0*r*r-1216.0*r*r*r),write);
    berechneGraph(129,-1.0/14580.0*r*r*r*r*r,write);
    berechneGraph(130,1.0/29160.0*r*r*r*r*(-51.0+48.0*r+32.0*r*r),write);
    berechneGraph(131,5.0/2916.0*r*r*r*r*r,write);
    berechneGraph(132,1.0/19440.0*r*r*r*r*(-5.0+16.0*r+16.0*r*r),write);
    berechneGraph(135,1.0/7290.0*r*r*r*r*r,write);
    berechneGraph(136,1.0/2430.0*(r*r*r*r*r-8.0*r*r*r*r*r*r-8.0*r*r*r*r*r*r*r),write);
    berechneGraph(137,11.0/3645.0*r*r*r*r*r,write);
    berechneGraph(138,-2.0/2187.0*r*r*r*r*r*r,write);
    berechneGraph(139,1.0/7290.0*r*r*r*r*r*(3.0+4.0*r),write);
    berechneGraph(140,1.0/4860.0*(r*r*r*r-8.0*r*r*r*r*r),write);
    berechneGraph(141,1.0/2430.0*r*r*r*r*r,write);
    berechneGraph(143,-1.0/4860.0*r*r*r*r*r,write);
    berechneGraph(144,-1.0/2187.0*r*r*r*r*r*r,write);
    berechneGraph(148,1.0/5832.0*r*r*r*r*(-3.0+6.0*r+4.0*r*r),write);
    berechneGraph(149,1.0/2916.0*r*r*r*r*r,write);
    berechneGraph(150,1.0/2430.0*r*r*r*r*(-1.0+r+r*r),write);
    berechneGraph(151,1.0/972.0*r*r*r*r*r,write);
    berechneGraph(153,1.0/2916.0*r*r*r*r*r,write);
    berechneGraph(157,1.0/2430.0*(r*r*r*r*r-8.0*r*r*r*r*r*r-8.0*r*r*r*r*r*r*r),write);
    berechneGraph(160,1.0/1458.0*r*r*r*r*r,write);
    berechneGraph(166,-1.0/4860.0*r*r*r*r*r*(-3.0+8.0*r+8.0*r*r),write);
    berechneGraph(178,1.0/9720.0*r*r*r*r*(-11.0+32.0*r+24.0*r*r),write);
    berechneGraph(179,-1.0/14580.0*r*r*r*r*r*(-3.0+8.0*r+8.0*r*r),write);
    berechneGraph(180,1.0/291600.0*r*r*r*r*(-201.0+624.0*r+48.0*r*r-608.0*r*r*r),write);
    berechneGraph(181,-1.0/7290.0*r*r*r*r*r*(-5.0+12.0*r+12.0*r*r),write);
    berechneGraph(183,1.0/1944.0*r*r*r*r*r,write);
    berechneGraph(185,1.0/14580.0*r*r*r*r*r,write);
    berechneGraph(186,1.0/4860.0*r*r*r*r*(-3.0+4.0*r+4.0*r*r),write);
    berechneGraph(187,29.0/14580.0*r*r*r*r*r,write);
    berechneGraph(188,-2.0/2187.0*r*r*r*r*r*r,write);
    berechneGraph(189,1.0/3645.0*r*r*r*r*r,write);
    berechneGraph(190,-1.0/4860.0*r*r*r*r*r*(-3.0+16.0*r+16.0*r*r),write);
    berechneGraph(195,-2.0/3645.0*r*r*r*r*r*(-1.0+r+r*r),write);
    berechneGraph(196,-1.0/2187.0*r*r*r*r*r*r,write);
    berechneGraph(199,-2.0/2187.0*r*r*r*r*r*r,write);
    berechneGraph(218,1.0/5832.0*r*r*r*r*r,write);
    berechneGraph(219,-1.0/4860.0*r*r*r*r*r*(-5.0+8.0*r+8.0*r*r),write);
    berechneGraph(220,-1.0/4374.0*r*r*r*r*r*r,write);
    berechneGraph(221,1.0/1944.0*r*r*r*r*r,write);
    berechneGraph(226,-2.0/2187.0*r*r*r*r*r*r,write);
    berechneGraph(230,-1.0/1458.0*r*r*r*r*r*r,write);
    berechneGraph(248,-2.0/2187.0*r*r*r*r*r*r,write);
    berechneGraph(249,-1.0/4374.0*r*r*r*r*r*r,write);
    berechneGraph(250,-2.0/729.0*r*r*r*r*r*r,write);
    berechneGraph(254,2.0/2187.0*r*r*r*r*r*r*r,write);

    if(write!=1)ausgabe((char *)"c7/N",Ji);
}
