#include <stdio.h>
#include <math.h>
#include "c_n.h"
#include "e_6.h"

Ce_6::Ce_6(int *J,int N, double spin,int *neqp,int nneqp,int NNmax,int *AnzahlNN,int *NN,FILE *fp)
{
    Init(J,N,spin,neqp,nneqp,NNmax,AnzahlNN,NN,fp);
}

Ce_6::Ce_6()
{
    Init(0,0,0,0,0,0,0,0,0);
}

void Ce_6::berechnen(int write)
{
    double r=spin*(spin+1.0);
    for(int j=0;j<MAXORDER4;Ji[j]=0,j++);
    if(write==0)fprintf(fp,"\n6th order\n");
    berechneGraph(290,-1.0/129600.0*r*r*(138.0-444.0*r+163.0*r*r+296.0*r*r*r+160.0*r*r*r*r),write);
    berechneGraph(292,-7.0/97200.0*r*r*r*(-24.0+54.0*r+19.0*r*r),write);
    berechneGraph(294,1.0/19440.0*r*r*r*(48.0-162.0*r+13.0*r*r+144.0*r*r*r+96.0*r*r*r*r),write);
    berechneGraph(296,-7.0/129600.0*r*r*r*(-26.0+41.0*r+16.0*r*r),write);
    berechneGraph(298,-7.0/388800*r*r*r*(3.0+27.0*r+52.0*r*r),write);
    berechneGraph(305,7.0/194400.0*r*r*r*(9.0-123.0*r+144.0*r*r+320.0*r*r*r+96.0*r*r*r*r),write);
    berechneGraph(306,7.0/19440.0*r*r*r*r*(-9.0+2.0*r),write);
    berechneGraph(309,7.0/194400.0*r*r*r*(12.0-99.0*r+40.0*r*r+152.0*r*r*r),write);
    berechneGraph(310,7.0/9720.0*r*r*r*r*(-4.0+11.0*r+8.0*r*r),write);
    berechneGraph(314,-7.0/9720.0*r*r*r*r*(5.0-18.0*r-12.0*r*r),write);
    berechneGraph(319,-7.0/4860.0*r*r*r*r,write);
    berechneGraph(328,-7.0/19440.0*r*r*r*r*(-1.0+2.0*r),write);
    berechneGraph(332,-7.0/19440.0*r*r*r*r*(1.0-11.0*r-12.0*r*r),write);
    berechneGraph(335,7.0/19440.0*r*r*r*r*(-4.0+r),write);
    berechneGraph(337,7.0/77760.0*r*r*r*r,write);
    berechneGraph(342,7.0/1944.0*r*r*r*r*r,write);
    berechneGraph(345,-7.0/38880.0*r*r*r*r*(-1.0+8.0*r),write);
    berechneGraph(355,-7.0/6480.0*r*r*r*r,write);
    berechneGraph(362,7.0/9720.0*r*r*r*r*r*(5.0-24.0*r-24.0*r*r),write);
    berechneGraph(365,7.0/2430.0*r*r*r*r*r,write);
    berechneGraph(385,7.0/9720.0*r*r*r*r*(1.0-r),write);
    berechneGraph(387,7.0/9720.0*r*r*r*r*r,write);
    berechneGraph(390,-7.0/194400*r*r*r*r*(31.0-304.0*r+192.0*r*r+608.0*r*r*r),write);
    berechneGraph(394,7.0/19440.0*r*r*r*r*(-9.0+12.0*r+8.0*r*r),write);
    berechneGraph(396,-7.0/12960.0*r*r*r*r,write);
    berechneGraph(397,7.0/972.0*r*r*r*r*r,write);
    berechneGraph(400,7.0/9720.0*r*r*r*r*(-1.0+4.0*r+4.0*r*r),write);
    berechneGraph(401,7.0/19440.0*r*r*r*r,write);
    berechneGraph(410,-7.0/1215.0*r*r*r*r*r*(-1.0+6.0*r+6.0*r*r),write);
    berechneGraph(412,-7.0/9720.0*r*r*r*r*r,write);
    berechneGraph(421,-7.0/14580.0*r*r*r*r*r,write);
    berechneGraph(458,7.0/2916.0*r*r*r*r*r,write);
    berechneGraph(481,7.0/4860.0*r*r*r*r*r,write);
    berechneGraph(542,7.0/3240.0*r*r*r*r*(-1.0+3.0*r+2.0*r*r),write);
    berechneGraph(544,7.0/19440.0*r*r*r*r*(-2.0+5.0*r+4.0*r*r),write);
    berechneGraph(552,-7.0/15552.0*r*r*r*r,write);
    berechneGraph(553,7.0/3888.0*r*r*r*r*r,write);
    berechneGraph(573,7.0/38880.0*r*r*r*r*(-5.0+8.0*r+8.0*r*r),write);
    berechneGraph(575,-7.0/9720.0*r*r*r*r*r,write);
    berechneGraph(577,7.0/1944.0*r*r*r*r*r,write);
    berechneGraph(579,7.0/5832.0*r*r*r*r*r,write);
    berechneGraph(583,-7.0/729.0*r*r*r*r*r*r,write);
    berechneGraph(587,7.0/29160.0*r*r*r*r*r,write);
    berechneGraph(609,7.0/14580.0*r*r*r*r*r,write);
    berechneGraph(662,7.0/9720.0*r*r*r*r*r*(3.0-8.0*r-8.0*r*r),write);
    berechneGraph(669,7.0/9720.0*r*r*r*r*r,write);
    berechneGraph(678,7.0/11664.0*r*r*r*r*r,write);
    berechneGraph(687,-7.0/1458.0*r*r*r*r*r*r,write);
    berechneGraph(747,-7.0/2916.0*r*r*r*r*r*r,write);
    berechneGraph(856,7.0/729.0*r*r*r*r*r*r*r,write);

    if(write!=1)ausgabe((char *)"e6/N",Ji);
}
