#include <stdio.h>
#include <math.h>
#include "c_n.h"

void Cc_n::Init(int *J,int N, double spin,int *neqp,int nneqp,int NNmax,int *AnzahlNN,int *NN,FILE *fp)
{
    this->J=J;
    this->N=N;
    this->spin=spin;
    this->neqp=neqp;
    this->nneqp=nneqp;
    this->NNmax=NNmax;
    this->AnzahlNN=AnzahlNN;
    this->NN=NN;
    this->fp=fp;
}

void Cc_n::auswerten(int ergebnis,double *ci)
{
    int a=0,b=0,c=0,d=0;
    if(ergebnis!=0)
    {
        while(ergebnis%2==0)
        {
            ergebnis/=2;
            a++;
        }
        while(ergebnis%3==0)
        {
            ergebnis/=3;
            b++;
        }
        while(ergebnis%5==0)
        {
            ergebnis/=5;
            c++;
        }
        while(ergebnis%7==0)
        {
            ergebnis/=7;
            d++;
        }
        ci[a+b*MAXORDER+c*MAXORDER2+d*MAXORDER3]++;
    }
}

void Cc_n::ausgabe(char *titel,double *ci)
{
    int temp2=0;
    int a,b,c,d;
    fprintf(fp,"%s->",titel);
    for(int i=0;i<MAXORDER4;i++)
    {
        if(ci[i]!=0)
        {
            if(temp2==1 && ci[i]>0)fprintf(fp,"+");
            d=i/MAXORDER3;
            c=(i-MAXORDER3*d)/MAXORDER2;
            b=(i-MAXORDER3*d-MAXORDER2*c)/MAXORDER;
            a=i-MAXORDER3*d-MAXORDER2*c-MAXORDER*b;
            if(ci[i]-(int)ci[i]!=0)
                fprintf(fp,"%.12e",ci[i]);
            else
                fprintf(fp,"%d",(int)ci[i]);
            if(a>0)
            {
                if(a>1)fprintf(fp,"J1^%d",a);
                else fprintf(fp,"J1");
            }
            if(b>0)
            {
                if(b>1)fprintf(fp,"J2^%d",b);
                else fprintf(fp,"J2");
            }
            if(c>0)
            {
                if(c>1)fprintf(fp,"J3^%d",c);
                else fprintf(fp,"J3");
            }
            if(d>0)
            {
                if(d>1)fprintf(fp,"J4^%d",d);
                else fprintf(fp,"J4");
            }
            temp2=1;
        }
    }
    if(temp2==0)fprintf(fp,"0");
    fprintf(fp,"\n");
}

void Cc_n::berechneGraph(int nummer,double faktor,int write)
{
    int i[8],j,l,m[7];
    int teiler=1;
    double ci[MAXORDER4];
    char titel[10];
    sprintf(titel,"G[%d]/N",nummer);
    for(j=0;j<MAXORDER4;ci[j]=0,j++);
    for(int k=0;k<nneqp;k++)
    {
        i[0]=neqp[k];
        for(m[0]=0;m[0]<AnzahlNN[i[0]];m[0]++)
        {
            i[1]=NN[i[0]*NNmax+m[0]];
            switch(nummer)
            {
            case 1:
                auswerten(J[i[0]+N*i[1]],ci);
                teiler=2;
                break;
            case 2:
                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]],ci);
                teiler=2;
                break;
            case 3:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 5:
                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]],ci);
                teiler=2;
                break;
            case 6:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 8:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=3;
                break;
            case 9:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 12:
                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]],ci);
                teiler=2;
                break;
            case 13:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 14:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 15:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 16:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 17:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 19:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 20:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[1]+N*i[2]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 23:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=4;
                break;
            case 24:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 33:
                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]],ci);
                teiler=2;
                break;
            case 34:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 35:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 36:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 37:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 38:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 39:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[1]],ci);
                    }
                }
                teiler=1;
                break;
            case 40:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 42:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 43:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 46:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 48:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 50:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 53:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 54:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[3])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 55:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 59:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 62:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 63:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 64:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[3])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 66:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 77:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=5;
                break;
            case 78:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[3])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 93:
                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]],ci);
                teiler=2;
                break;
            case 94:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 95:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 96:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 97:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 98:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 99:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 100:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 101:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 103:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]],ci);
                    }
                }
                teiler=1;
                break;
            case 104:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 107:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 108:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 109:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]],ci);
                    }
                }
                teiler=1;
                break;
            case 110:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=3;
                break;
            case 111:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 113:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 114:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]],ci);
                    }
                }
                teiler=1;
                break;
            case 115:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 116:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]]*J[i[0]+N*i[3]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 118:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 119:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 120:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 122:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[0]+N*i[2]]*J[i[3]+N*i[4]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 124:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 128:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[1]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 129:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 130:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]],ci);
                    }
                }
                teiler=1;
                break;
            case 131:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[3]+N*i[4]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 132:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]],ci);
                    }
                }
                teiler=1;
                break;
            case 135:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 136:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[4]]*J[i[0]+N*i[3]]*J[i[0]+N*i[2]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 137:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 138:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[3])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[2]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 139:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]],ci);
                    }
                }
                teiler=1;
                break;
            case 140:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=4;
                break;
            case 141:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]]*J[i[0]+N*i[1]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 143:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[2]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[2]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 144:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[1]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 148:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 149:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 150:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 151:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 153:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 157:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[1]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 160:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 166:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[1] || i[4]==i[2])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 178:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 179:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 180:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 181:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[2]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 183:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 185:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 186:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=4;
                break;
            case 187:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[0]+N*i[2]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 188:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[1]];m[4]++)
                            {
                                i[5]=NN[i[1]*NNmax+m[4]];
                                if(i[5]==i[0] || i[5]==i[2] || i[5]==i[3] || i[5]==i[4])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[5]]*J[i[2]+N*i[5]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 189:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 190:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[4]]*J[i[0]+N*i[3]]*J[i[0]+N*i[2]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 195:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 196:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 199:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[0] || i[5]==i[2] || i[5]==i[3] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 218:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 219:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 220:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 221:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[3]+N*i[4]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 226:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[1] || i[5]==i[2] || i[5]==i[3] || i[5]==i[4])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[4]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 230:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 248:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[1] || i[4]==i[2])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[0] || i[5]==i[1] || i[5]==i[2] || i[5]==i[3])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 249:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[2]+N*i[3]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 250:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[1]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=6;
                break;
            case 254:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[5])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 290:
                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]],ci);
                teiler=2;
                break;
            case 291:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 292:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 293:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 294:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 295:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 296:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 297:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 298:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 300:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 301:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 304:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 305:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 306:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 307:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 308:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 309:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 310:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 312:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 313:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 314:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 315:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 317:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 318:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 319:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 321:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 323:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 327:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 328:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 330:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 331:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 332:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 333:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 335:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 336:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 337:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 340:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 341:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 342:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 343:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 344:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 345:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 346:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 348:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 349:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[2]];m[4]++)
                            {
                                i[5]=NN[i[2]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[5]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 353:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 354:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 355:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 356:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 358:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 361:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 362:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[1]];m[3]++)
                        {
                            i[4]=NN[i[1]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[2] || i[4]==i[3])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[4]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 363:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 365:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 368:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=m[3]+1;m[4]<AnzahlNN[i[3]];m[4]++)
                            {
                                i[5]=NN[i[3]*NNmax+m[4]];
                                if(i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 372:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 375:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[2]];m[4]++)
                            {
                                i[5]=NN[i[2]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[5]]*J[i[2]+N*i[5]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 385:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 386:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 387:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 388:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 389:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 390:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 391:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 393:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 394:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 395:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 396:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 397:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 398:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 399:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 400:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 401:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 402:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 407:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 408:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 409:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 410:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 411:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 412:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 413:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 415:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 416:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 418:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 419:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 421:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 424:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 425:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 426:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 428:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 429:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[2]];m[4]++)
                            {
                                i[5]=NN[i[2]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[5]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 431:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[1]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 432:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[2]];m[4]++)
                            {
                                i[5]=NN[i[2]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[5]]*J[i[2]+N*i[5]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 437:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=m[3]+1;m[4]<AnzahlNN[i[3]];m[4]++)
                            {
                                i[5]=NN[i[3]*NNmax+m[4]];
                                if(i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 443:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 444:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 445:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 446:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 448:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 449:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 450:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 451:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 454:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 455:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 456:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[1]];m[3]++)
                        {
                            i[4]=NN[i[1]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[2] || i[4]==i[3])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[4]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[4]]*J[i[1]+N*i[2]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 458:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 462:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                        continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 463:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 466:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 467:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]]*J[i[3]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 469:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[1]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[3])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[4]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 473:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 476:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[3]];m[4]++)
                            {
                                i[5]=NN[i[3]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 477:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[3]];m[4]++)
                            {
                                i[5]=NN[i[3]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 480:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 481:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 489:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 490:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 491:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[5]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 498:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 499:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 509:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 542:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 543:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 544:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 545:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 547:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 549:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 550:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 552:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 553:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 554:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 555:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 556:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 560:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 561:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 562:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 563:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 566:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 573:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 574:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 575:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[1]];m[3]++)
                        {
                            i[4]=NN[i[1]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[2] || i[4]==i[3])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[4]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 576:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 577:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 578:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 579:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[2]+N*i[4]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 581:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[5]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 582:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 583:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 584:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[4])
                                    continue;
                                for(m[5]=m[4]+1;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[6]]*J[i[5]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 585:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 586:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 587:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[4]]*J[i[2]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 590:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 591:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 598:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 601:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 602:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 603:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 604:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 606:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 607:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 609:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[1]];m[3]++)
                        {
                            i[4]=NN[i[1]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[2] || i[4]==i[3])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[4]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[2]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 612:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[0] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=m[0]+1;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[2] || i[5]==i[3] || i[5]==i[4])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[5])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[2]+N*i[5]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 615:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[3]];m[4]++)
                            {
                                i[5]=NN[i[3]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[2]+N*i[5]]*J[i[3]+N*i[5]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 616:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 617:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[1]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[3])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]]*J[i[3]+N*i[4]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 618:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 619:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[3])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[0] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[5])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[0]+N*i[6]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 624:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 644:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=m[2]+1;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[5]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 661:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 662:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 663:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 668:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 669:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 674:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 677:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 678:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 679:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 681:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 684:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 685:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 687:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[1]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[1]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 692:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=m[2]+1;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[5]+N*i[6]]*J[i[4]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 696:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[1]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[5]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 697:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 698:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 699:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[2]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 706:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 707:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 708:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[4])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[5])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[6]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 709:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 710:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 714:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[3])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[0] || i[5]==i[2] || i[5]==i[1] || i[5]==i[3])
                                    continue;
                                for(m[5]=m[0]+1;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[5])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[3]+N*i[6]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 717:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 744:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 745:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 746:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 747:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 752:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[5])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 757:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 758:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 771:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[5] || i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 778:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 779:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 781:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 786:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[5])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[0]+N*i[6]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 850:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[5]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 852:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[5])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 853:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[5]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 856:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[0]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[3])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[5]+N*i[6]]*J[i[3]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=7;
                break;
            case 860:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[0] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[1] || i[4]==i[2] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    for(m[6]=0;m[6]<AnzahlNN[i[0]];m[6]++)
                                    {
                                        i[7]=NN[i[0]*NNmax+m[6]];
                                        if(i[7]==i[5] || i[7]==i[4] || i[7]==i[3] || i[7]==i[2] || i[7]==i[1] || i[7]==i[6])
                                            continue;
                                        auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[5]+N*i[6]]*J[i[0]+N*i[7]],ci);
                                    }
                                }
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 935:
                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]],ci);
                teiler=2;
                break;
            case 936:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 937:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 938:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 939:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 940:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 941:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 942:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 943:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 944:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 945:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 946:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 947:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 948:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]],ci);
                }
                teiler=1;
                break;
            case 949:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 950:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 951:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 952:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 953:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 954:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 955:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 956:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 957:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 959:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 960:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 961:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 962:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 963:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 964:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 965:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 966:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 967:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 968:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 969:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 970:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 971:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 972:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 973:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 974:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 975:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] ||i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 976:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 977:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 978:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 979:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 980:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 981:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 982:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 983:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 984:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 988:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 989:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 990:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 991:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 992:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 993:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 994:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 995:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=m[3]+1;m[4]<AnzahlNN[i[3]];m[4]++)
                            {
                                i[5]=NN[i[3]*NNmax+m[4]];
                                if(i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 996:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 997:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 998:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 999:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 1000:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 1001:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1002:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1003:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 1004:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]],ci);
                    }
                }
                teiler=4;
                break;
            case 1005:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1006:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1007:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1008:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1009:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 1010:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[4]],ci);
                        }
                    }
                }
                teiler=8;
                break;
            case 1011:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1012:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] ||i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1013:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] ||i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1014:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1015:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1016:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1017:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1018:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1019:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] ||i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1020:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1021:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1022:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1023:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[2]+N*i[3]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1024:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1025:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]]*J[i[2]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1026:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1028:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1029:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 1030:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1032:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 1033:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 1034:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 1035:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 1036:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1037:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=1;
                break;
            case 1038:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1039:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1040:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1041:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=4;
                break;
            case 1042:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1043:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1044:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1045:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 1046:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1048:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1049:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1050:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1051:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=2;
                break;
            case 1052:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1053:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]],ci);
                    }
                }
                teiler=4;
                break;
            case 1054:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1055:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[4]]*J[i[1]+N*i[4]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1056:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1057:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1058:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1059:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=m[3]+1;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1060:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1061:
                for(m[1]=0;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1062:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    if(i[2]==i[1])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[2]+N*i[3]]*J[i[2]+N*i[3]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1063:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[1]+N*i[2]]*J[i[1]+N*i[4]]*J[i[2]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1064:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=m[1]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[1]+N*i[5]]*J[i[2]+N*i[5]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1065:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=m[2]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1066:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[4]]*J[i[2]+N*i[3]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=2;
                break;
            case 1069:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1070:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]]*J[i[1]+N*i[3]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1071:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1075:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1079:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1080:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1083:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1084:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1085:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1086:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1087:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]]*J[i[2]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1088:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[3]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]],ci);
                        }
                    }
                }
                teiler=1;
                break;
            case 1089:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1090:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1091:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[2]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1092:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[2]+N*i[4]]*J[i[0]+N*i[5]]*J[i[0]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1093:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=m[2]+1;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[5]+N*i[6]]*J[i[4]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1094:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=m[3]+1;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[3]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[0]+N*i[5]]*J[i[4]+N*i[6]]*J[i[5]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1095:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[1]+N*i[5]]*J[i[2]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1096:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[1]+N*i[4]]*J[i[2]+N*i[3]]*J[i[2]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=4;
                break;
            case 1097:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[0]];m[4]++)
                            {
                                i[5]=NN[i[0]*NNmax+m[4]];
                                if(i[5]==i[4] || i[5]==i[3] || i[5]==i[2] || i[5]==i[1])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[0]+N*i[5]]*J[i[2]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1101:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1106:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1108:
                for(m[1]=m[0]+1;m[1]<AnzahlNN[i[0]];m[1]++)
                {
                    i[2]=NN[i[0]*NNmax+m[1]];
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2] || i[4]==i[1])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[0]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[4]]*J[i[3]+N*i[5]]*J[i[3]+N*i[5]]*J[i[4]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1109:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1114:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2] || i[3]==i[1])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]],ci);
                            }
                        }
                    }
                }
                teiler=2;
                break;
            case 1116:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=m[0]+1;m[2]<AnzahlNN[i[0]];m[2]++)
                    {
                        i[3]=NN[i[0]*NNmax+m[2]];
                        if(i[3]==i[2])
                            continue;
                        for(m[3]=0;m[3]<AnzahlNN[i[3]];m[3]++)
                        {
                            i[4]=NN[i[3]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[1] || i[4]==i[0])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[0]];m[5]++)
                                {
                                    i[6]=NN[i[0]*NNmax+m[5]];
                                    if(i[6]==i[5] || i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[0]+N*i[3]]*J[i[3]+N*i[4]]*J[i[4]+N*i[5]]*J[i[2]+N*i[5]]*J[i[0]+N*i[6]]*J[i[0]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1124:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[0]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[2] || i[4]==i[3])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[5]+N*i[6]]*J[i[3]+N*i[6]]*J[i[3]+N*i[6]],ci);
                                }
                            }
                        }
                    }
                }
                teiler=1;
                break;
            case 1134:
                for(m[1]=0;m[1]<AnzahlNN[i[1]];m[1]++)
                {
                    i[2]=NN[i[1]*NNmax+m[1]];
                    if(i[2]==i[0])
                        continue;
                    for(m[2]=0;m[2]<AnzahlNN[i[2]];m[2]++)
                    {
                        i[3]=NN[i[2]*NNmax+m[2]];
                        if(i[3]==i[1] || i[3]==i[0])
                            continue;
                        for(m[3]=m[0]+1;m[3]<AnzahlNN[i[0]];m[3]++)
                        {
                            i[4]=NN[i[0]*NNmax+m[3]];
                            if(i[4]==i[3] || i[4]==i[2])
                                continue;
                            for(m[4]=0;m[4]<AnzahlNN[i[4]];m[4]++)
                            {
                                i[5]=NN[i[4]*NNmax+m[4]];
                                if(i[5]==i[3] || i[5]==i[2] || i[5]==i[1] || i[5]==i[0])
                                    continue;
                                for(m[5]=0;m[5]<AnzahlNN[i[5]];m[5]++)
                                {
                                    i[6]=NN[i[5]*NNmax+m[5]];
                                    if(i[6]==i[4] || i[6]==i[3] || i[6]==i[2] || i[6]==i[1] || i[6]==i[0])
                                        continue;
                                    for(m[6]=0;m[6]<AnzahlNN[i[6]];m[6]++)
                                    {
                                        i[7]=NN[i[6]*NNmax+m[6]];
                                        if(i[7]==i[5] || i[7]==i[4] || i[7]==i[3] || i[7]==i[2] || i[7]==i[1] || i[7]==i[0])
                                            continue;
                                        auswerten(J[i[0]+N*i[1]]*J[i[1]+N*i[2]]*J[i[2]+N*i[3]]*J[i[0]+N*i[4]]*J[i[4]+N*i[5]]*J[i[5]+N*i[6]]*J[i[6]+N*i[7]]*J[i[3]+N*i[7]],ci);
                                    }
                                }
                            }
                        }
                    }
                }
                teiler=8;
                break;
            }
        }
    }
    for(j=0;j<MAXORDER4;ci[j]/=(teiler*nneqp),j++);
    if(write==0)ausgabe(titel,ci);
    for(j=0;j<MAXORDER4;Ji[j]+=faktor*ci[j],j++);
}

double Cc_n::punkt(double j1,double j2,double j3,double j4)
{
    double temp=0;
    int a,b,c,d;
    for(int i=0;i<MAXORDER4;i++)
    {
        if(Ji[i]!=0)
        {
            d=i/MAXORDER3;
            c=(i-MAXORDER3*d)/MAXORDER2;
            b=(i-MAXORDER3*d-MAXORDER2*c)/MAXORDER;
            a=i-MAXORDER3*d-MAXORDER2*c-MAXORDER*b;
            temp+=Ji[i]*pow(j1,a)*pow(j2,b)*pow(j3,c)*pow(j4,d);
        }
    }
    return temp;
}

void Cc_n::specheat(int order)
{
    int temp2=0;
    double temp3;
    int a,b,c,d;
    fprintf(fp,"d%d/N->",order);
    for(int i=0;i<MAXORDER4;i++)
    {
        if(Ji[i]!=0)
        {
            temp3=-Ji[i]*(order-1);
            if(temp2==1 && temp3>0)fprintf(fp,"+");
            d=i/MAXORDER3;
            c=(i-MAXORDER3*d)/MAXORDER2;
            b=(i-MAXORDER3*d-MAXORDER2*c)/MAXORDER;
            a=i-MAXORDER3*d-MAXORDER2*c-MAXORDER*b;
            if(temp3-(int)temp3!=0)
                fprintf(fp,"%.12e",temp3);
            else
                fprintf(fp,"%d",(int)temp3);
            if(a>0)
            {
                if(a>1)fprintf(fp,"J1^%d",a);
                else fprintf(fp,"J1");
            }
            if(b>0)
            {
                if(b>1)fprintf(fp,"J2^%d",b);
                else fprintf(fp,"J2");
            }
            if(c>0)
            {
                if(c>1)fprintf(fp,"J3^%d",c);
                else fprintf(fp,"J3");
            }
            if(d>0)
            {
                if(d>1)fprintf(fp,"J4^%d",d);
                else fprintf(fp,"J4");
            }
            temp2=1;
        }
    }
    if(temp2==0)fprintf(fp,"0");
    fprintf(fp,"\n");
}
